package com.jeeplus.finance.invoice.domain.OMS.InvoiceDown;
/**
 * 附加要素信息列表项
 * 按需传值，附加要素类型支持数值型、字符串型、日期型
 */
public class OMSDownAdditional {
    /**
     * 附加要素名称
     * 非必填，40个字节
     */
    private String additionalName;

    /**
     * 附加要素类型
     * 非必填，6个字节，可选值：number(数值型)、string(字符型)、date(日期型，格式yyyy-mm-dd)
     */
    private String additionalType;

    /**
     * 附加要素值
     * 非必填，500个字节，根据附加要素类型传对应格式的值
     */
    private String additionalValue;

    public String getAdditionalName() {
        return additionalName;
    }

    public void setAdditionalName(String additionalName) {
        this.additionalName = additionalName;
    }

    public String getAdditionalType() {
        return additionalType;
    }

    public void setAdditionalType(String additionalType) {
        this.additionalType = additionalType;
    }

    public String getAdditionalValue() {
        return additionalValue;
    }

    public void setAdditionalValue(String additionalValue) {
        this.additionalValue = additionalValue;
    }
}
